Status: Open

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18034

Description

When there is only one column in a database table, it is displayed on the canvas, and nothing is shown on the table itself.

If there is >1 geom column, all those not displayed in the canvas are shown on the table. This has several problems:

    -  it is confusing for the user

    -  it slows down table reading considerably

    -  it may cause loss of data if the user accidentally modifies the WKT geometry displayed (untested).

Better not displaying any geometry column.

History

#1 - 2015-06-04 02:11 PM - Jürgen Fischer

- Category changed from Data Provider to Data Provider/PostGIS

#2 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-02-24 02:16 PM - Paolo Cavallini

- Description updated

Still true in QGIS 3

#4 - 2018-02-24 02:17 PM - Giovanni Manghi

- Affected QGIS version changed from 2.0.1 to 3.0.0
